#> Secondary Event Loops

execute as @a run function deadlysandstonemines:locations/locationtick
execute as @a[x=-113,y=242,z=-1,dx=25,dy=25,dz=25,gamemode=survival] run gamemode adventure @s

#> dungeon4 darkness
effect give @a[tag=hasDungeon4,gamemode=survival] minecraft:darkness infinite 1 true
effect clear @a[tag=!hasDungeon4] minecraft:darkness

#> Dungeon5 Entrance
particle minecraft:end_rod -46 179 -21 0.25 0.25 0.25 0.005 5 force @a
execute if block -46 179 -21 minecraft:gold_block run function deadlysandstonemines:altar

#> Monument
execute as @a[tag=!yellow] if block -54 193 -4 minecraft:yellow_wool run function deadlysandstonemines:monument/yellow
execute as @a[tag=!orange] if block -53 193 -4 minecraft:orange_wool run function deadlysandstonemines:monument/orange
execute as @a[tag=!red] if block -52 193 -4 minecraft:red_wool run function deadlysandstonemines:monument/red
execute as @a[tag=!gray] if block -51 193 -4 minecraft:gray_wool run function deadlysandstonemines:monument/gray
execute as @a[tag=!black] if block -50 193 -4 minecraft:black_wool run function deadlysandstonemines:monument/black

execute as @a[tag=!complete,scores={objectives=5}] run function deadlysandstonemines:monument/complete

#> death system
execute as @a if score @s deaths > @s deathsLast run function deadlysandstonemines:death

#> Button Detection
# Enable/Disable death counter
execute if block -102 245 18 minecraft:polished_blackstone_button[powered=true] run function deadlysandstonemines:deathcounter/enable
execute if block -102 245 20 minecraft:polished_blackstone_button[powered=true] run function deadlysandstonemines:deathcounter/disable

# Set difficulty
execute if block -106 245 20 minecraft:polished_blackstone_button[powered=true] run function deadlysandstonemines:difficulty/easy
execute if block -106 245 19 minecraft:polished_blackstone_button[powered=true] run function deadlysandstonemines:difficulty/normal
execute if block -106 245 18 minecraft:polished_blackstone_button[powered=true] run function deadlysandstonemines:difficulty/hard

# Start map
execute if block -104 245 22 minecraft:polished_blackstone_button[powered=true] run function deadlysandstonemines:startmap